Click here to go to the forum index Click here for the home page
 
Author Message

<  Computer connections  ~  Connect to toppy without .NET 3.5?

Page 1 of 2
Goto page 1, 2  Next
seders
Posted: Sat Mar 18, 2017 8:21 pm Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
I've moved to a new computer and am trying to connect to my 5800 via USB. previously I have used Antares and was trying to install it but can't get .NET 3.5 to install on my windows 10 computer.

Is there a way to connect to a toppy (via USB) without .NET 3.5? - either by getting Antares to work or another program?

I want to be able to install Mystuff (and other taps) and occasionally transfer media files.

Thanks
Andy

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
Geoff Bacon
Posted: Sat Mar 18, 2017 8:53 pm Reply with quote
Frequent contributor Joined: 12 Jan 2007 Posts: 3880
Ggogling ".NET 3.5 to install on my windows 10" returns "about 1,940,000 results" - one near the top should sort you out

Geoff

Note: I'm still on XP!

_________________
TopManager program
TF5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy
TAPs: PcControl B1.4; StopExit v1.01; EPG2MEI v0.96; QuickJump 1.72; MyStuff 6.6; Font Manager 1.0d; Extend v1.7; SecCache (UK) v0.4; EIT Sub (Game) v0.6; MHEG On/Off A3; MyInfo B5.6; WSSkiller V2.12d; CrashTrace v0.4; fsSave 1.1; PruneEPG 1.0;
Sig generated by MyInfo on 17/1/16
View user's profile Send private message Visit poster's website
seders
Posted: Sat Mar 18, 2017 9:40 pm Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
None near top help me do the install (not my exact phrase, but similar)
Neither does the windows trouble shooter.
I have spent most of the day trying various tinkering with the registry and re-installations of updates as seems to be the suggestion when you get the error code 0x80073701 - so far without success.
Any help installing .NET 3.5 would be good as well, but I'm running out of ideas with that, hence wondering if there was an easy way to connect to my toppy without .NET 3.5...

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
jimi
Posted: Sat Mar 18, 2017 11:45 pm Reply with quote
Regular contributor Joined: 29 Mar 2006 Posts: 65
I'm pretty sure that. NET versions are all backwards compatible, so as long as you have a newer (than 3.5) version it should be fine, you'll probably need to disable driver signing in win10 to get it to install. http://forum.toppy.org.uk/forum/viewtopic.php?p=267390#267390

_________________
TF5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy+PeTa
TAPs: PcControl B1.4; Extend v1.7; EPG2MEI v0.96; SecCache (UK) v0.4; EIT Sub (Game) v0.6; Font Manager 1.0d; MHEG On/Off A3; (MyInfo B5.6); MyStuff 6.6; PruneEPG 1.0;
Sig generated by TopManager/PcControl on 26/01/16
View user's profile Send private message
seders
Posted: Sun Mar 19, 2017 11:47 am Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
Under Control panels > programs > Turn Windows features on and off
there are separate radio buttons for 3.5 (including previous versions) and 4.6 (advanced services). 4.6 is installed, but I can't get 3.5 to install

When I try to open Antares, it tries to install 3.5 and won't start without it.

The drivers are installed and working - so I have managed to install Mystuff.
Geoff's TM is also working - thanks Geoff. I think I need Antares to get to the data files though (and i find the interface easy).

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
ccs
Posted: Sun Mar 19, 2017 12:07 pm Reply with quote
Frequent contributor Joined: 30 Oct 2007 Posts: 2355
I've never need to go anywhere near .Net when using Antares, it's always just worked.

On my Win10 PC the .NET feature is "partially turned on"

_________________
TF5810, F/W: MS6 Recommended F/W 12/9/2009 -FmXl+CtEzIScVdZ
TAPs: EIT Sub v0.6; EPG2MEI v0.96; MPDisplayLITE V1.2; MyInfo B5.6; SecCache (UK) v0.4; Extend v1.7; MyStuff 6.6;
Sig generated by MyInfo on 20/10/14
ccsx
View user's profile Send private message
seders
Posted: Sun Mar 19, 2017 12:17 pm Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
Maybe the relevant part is already installed?
The antares installation instructions at http://haselgrove.id.au/antares/ say to install .NET first, and whenever I try to open antares, it shuts down with windows saying .NET 3.5 needs to be installed.

Can you see which parts are installed - I think I've tried each individual component but maybe not...

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
ccs
Posted: Sun Mar 19, 2017 12:28 pm Reply with quote
Frequent contributor Joined: 30 Oct 2007 Posts: 2355
I did try earlier, the only way I could find was to run regedit but the keys I find don't help (me) and I can't cut and paste what I see.

Whatever is installed, Antares has always worked for me on different pc's running window 7/8/10 etc., without the need to do anything with .NET framework.

_________________
TF5810, F/W: MS6 Recommended F/W 12/9/2009 -FmXl+CtEzIScVdZ
TAPs: EIT Sub v0.6; EPG2MEI v0.96; MPDisplayLITE V1.2; MyInfo B5.6; SecCache (UK) v0.4; Extend v1.7; MyStuff 6.6;
Sig generated by MyInfo on 20/10/14
ccsx
View user's profile Send private message
Geoff Bacon
Posted: Sun Mar 19, 2017 1:08 pm Reply with quote
Frequent contributor Joined: 12 Jan 2007 Posts: 3880
@ccs

Did you upgrade to Win10 or was it a "fresh" install?; if an upgrade, .NET may already have been on the system.

I'm going to butt out now - my knowledge of Win10 is minimal.

Geoff

_________________
TopManager program
TF5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy
TAPs: PcControl B1.4; StopExit v1.01; EPG2MEI v0.96; QuickJump 1.72; MyStuff 6.6; Font Manager 1.0d; Extend v1.7; SecCache (UK) v0.4; EIT Sub (Game) v0.6; MHEG On/Off A3; MyInfo B5.6; WSSkiller V2.12d; CrashTrace v0.4; fsSave 1.1; PruneEPG 1.0;
Sig generated by MyInfo on 17/1/16
View user's profile Send private message Visit poster's website
jimi
Posted: Sun Mar 19, 2017 1:13 pm Reply with quote
Regular contributor Joined: 29 Mar 2006 Posts: 65
ccs wrote:

Whatever is installed, Antares has always worked for me on different pc's running window 7/8/10 etc., without the need to do anything with .NET framework.

Same for me with XP and Win7
Looking at my Windows Update history (Win7) I can see security updates for .Net 4.6.1 and I think the latest version is 4.6.2. Version 3.5 is from away back in 2008. Also looking in "Programs and features" (again Win7 don't know where/what its called in Win10) should tell you which version is installed.

_________________
TF5800, TS On, F/W: MS6 Recommended F/W 12/9/2009 -Sy+PeTa
TAPs: PcControl B1.4; Extend v1.7; EPG2MEI v0.96; SecCache (UK) v0.4; EIT Sub (Game) v0.6; Font Manager 1.0d; MHEG On/Off A3; (MyInfo B5.6); MyStuff 6.6; PruneEPG 1.0;
Sig generated by TopManager/PcControl on 26/01/16
View user's profile Send private message
ccs
Posted: Sun Mar 19, 2017 1:14 pm Reply with quote
Frequent contributor Joined: 30 Oct 2007 Posts: 2355
Geoff Bacon wrote:
@ccs

Did you upgrade to Win10 or was it a "fresh" install?; if an upgrade, .NET may already have been on the system.

I'm going to butt out now - my knowledge of Win10 is minimal.

Geoff
They've all been upgrades, but I'm 99% sure the win8 pc which was pre-installed didn't need .net installing.
I suppose some other bit of software may have needed it, MS Office maybe?

.NET doesn't show up in win10 programs and features.

_________________
TF5810, F/W: MS6 Recommended F/W 12/9/2009 -FmXl+CtEzIScVdZ
TAPs: EIT Sub v0.6; EPG2MEI v0.96; MPDisplayLITE V1.2; MyInfo B5.6; SecCache (UK) v0.4; Extend v1.7; MyStuff 6.6;
Sig generated by MyInfo on 20/10/14
ccsx
View user's profile Send private message
seders
Posted: Sun Mar 19, 2017 2:41 pm Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
Fresh install of win 10 (new PC)

.NET 3.5 is recognised as a windows feature under
"Control panels > programs > Programs and Features > Turn Windows features on and off"
However it is turned off (no tick). when I try to turn it on, it does an install and fails
the only .NET 4.6 advanced feature that is 'on' is 'TCP Port Sharing'

I can live with Geoff's TM for now and maybe hope a windows update will fix it in the future (could be a while!)

Thanks all

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
ccs
Posted: Sun Mar 19, 2017 2:57 pm Reply with quote
Frequent contributor Joined: 30 Oct 2007 Posts: 2355
In "Turn Windows features on and off" on my pc the option for .NET framework is filled in (rather than blank or a tick), meaning it is partially installed, and it works.

There won't be a windows update to fix it.

Have you tried a system restore to go back a few days so you can start again?

This might help...

http://techdows.com/2015/07/check-net-framework-version-in-windows-10.html

_________________
TF5810, F/W: MS6 Recommended F/W 12/9/2009 -FmXl+CtEzIScVdZ
TAPs: EIT Sub v0.6; EPG2MEI v0.96; MPDisplayLITE V1.2; MyInfo B5.6; SecCache (UK) v0.4; Extend v1.7; MyStuff 6.6;
Sig generated by MyInfo on 20/10/14
ccsx
View user's profile Send private message
seders
Posted: Sun Mar 19, 2017 5:06 pm Reply with quote
Regular contributor Joined: 23 Mar 2006 Posts: 50
Quote:
In "Turn Windows features on and off" on my pc the option for .NET framework is filled in (rather than blank or a tick), meaning it is partially installed, and it works.

Do you just have a single '.NET' top level feature? - I have two and only the 4.6 is partially filled in (with just TCP port sharing selected if I look down the structure)

System restore tried, along with a sfc scan, without luck.
I have the latest 4.6 according to that link.

_________________
[size=10]Model: TF5800PVR 1TbWD drive - Silver
View user's profile Send private message
ccs
Posted: Sun Mar 19, 2017 5:13 pm Reply with quote
Frequent contributor Joined: 30 Oct 2007 Posts: 2355
I've got 3.5 and 4.6 filled in, with just TCP port sharing ticked (in 4.6).

_________________
TF5810, F/W: MS6 Recommended F/W 12/9/2009 -FmXl+CtEzIScVdZ
TAPs: EIT Sub v0.6; EPG2MEI v0.96; MPDisplayLITE V1.2; MyInfo B5.6; SecCache (UK) v0.4; Extend v1.7; MyStuff 6.6;
Sig generated by MyInfo on 20/10/14
ccsx
View user's profile Send private message

Display posts from previous:  

All times are GMT + 1 Hour
Page 1 of 2
Goto page 1, 2  Next

Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum